SuSE 10 Security Update : compat-openssl097g (ZYPP Patch Number 5957)

Medium Nessus Plugin ID 41490


The remote SuSE 10 host is missing a security-related patch.


This update improves the verification of return values. Prior to this update it was possible to bypass the certification chain checks of openssl. (CVE-2008-5077)


Apply ZYPP patch number 5957.

See Also

Plugin Details

Severity: Medium

ID: 41490

File Name: suse_compat-openssl097g-5957.nasl

Version: $Revision: 1.11 $

Type: local

Agent: unix

Published: 2009/09/24

Modified: 2012/06/14

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:P

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2009/01/23

Reference Information

CVE: CVE-2008-5077

CWE: 20